# Bryan Schumaker (10/30/2010)

import ocarina
libsaria = ocarina.libsaria
vars = ocarina.libsaria.vars
menu = ocarina.menu

def check_pause(*args):
	if vars["PAUSEAFTER"] == True:
		libsaria.music.pause()
		vars["PAUSEAFTER"] = False

def set_pause(*args):
	vars["PAUSEAFTER"] = True

def start():
	text = "Pause after current song"
	libsaria.init_var("PAUSEAFTER", False)

	menu.add_lib_menu_item(text, set_pause)
	menu.add_plist_menu_item(text, set_pause)
	libsaria.event.invite("POSTNEXT", check_pause)

def stop():
	pass

def check_version():
	if ocarina.__major__ != 4:
		return False
	if ocarina.__minor__ != 1:
		return False
	return True
