# Bryan Schumaker (8/14/2010)

import ocarina

music   = ocarina.libsaria.music
gtk     = ocarina.gtk
webkit  = None

children = []


class WebPage(gtk.ScrolledWindow):
	def __init__(self, url):
		gtk.ScrolledWindow.__init__(self)
		self.url = url
		self.web = None
		self.show()

	def visible(self):
		if self.web == None:
			self.web = webkit.WebView()
			self.web.open(self.url)
			#self.web.connect("load-finished", self.load_finished)
			self.web.connect("document-load-finished", self.doc_load_finished)
			self.add(self.web)
			self.web.show()

	def doc_load_finished(self, view, webframe):
		music.pause()

def start():
	global webkit
	global children
	import webkit

	pandora = WebPage("http://www.pandora.com")
	children.append("Pandora")
	ocarina.add_tab("Pandora", pandora)

	groove = WebPage("http://www.grooveshark.com")
	children.append("Groove Shark")
	ocarina.add_tab("Groove Shark", groove)

def stop():
	for child in children:
		ocarina.remove_tab(child)

def check_version():
	if ocarina.__major__ != 4:
		return False
	if ocarina.__minor__ != 1:
		return False
	return True
